
Redmine - Feature #15425

E-mail notification for commits

2013-11-21 10:54 - Anthony Mallet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I would like to work on a feature that I (think I) need, but I'd like some feedback first.

I would like to extend the e-mail notification system so that users can decide to watch/unwatch commits (changesets) and receive

e-mail notifications for each new changeset. I know this can be trivially implemented at the repository level via hooks, but the problem

with this approach is that individual users cannot easily configure their notifications on a per-project basis (and it is also a bit more

difficult to hack into the repo. when using e.g. the redmine_git_hosting plugin).

So I'd like to hear from you, first to listen to any comment on why this should not be done (if you think so), why it's not been done

already (any technical issue that I overlooked?) and most importantly if you think the this should/could be done in a plugin or if it's

better implemented a patches to the redmine core.

Related issues:

Is duplicate of Redmine - Patch #6864: Support of mail notification for chang... New 2010-11-11

History

#1 - 2013-12-06 16:40 - Toshi MARUYAMA

- Category set to Email notifications

#2 - 2013-12-18 05:44 - Alexandru Zbarcea

+1

#3 - 2014-05-30 18:04 - Lukas Pirl

+1

#4 - 2014-06-11 00:48 - Lukas Pirl

Maybe this is an option: https://github.com/lpirl/redmine_diff_email

I just brought this plugin back to life (Co-Maintainer welcome).

#5 - 2018-09-15 09:56 - Go MAEDA

- Is duplicate of Patch #6864: Support of mail notification for changesets added

#6 - 2018-09-15 09:57 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #6864.
